org.apache.catalina.tribes

## Interface MembershipProvider

- All Known Implementing Classes:
    CloudMembershipProvider, DNSMembershipProvider, KubernetesMembershipProvider, McastServiceImpl, MembershipProviderBase, StaticMembershipProvider

      public interface MembershipProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Member` | `getMember(Member mbr)`
    `Member[]` | `getMembers()`
    `boolean` | `hasMembers()`
    `void` | `init(Properties properties)`
    `void` | `setMembershipListener(MembershipListener listener)`
    `void` | `setMembershipService(MembershipService service)`
    `void` | `start(int level)`
    `boolean` | `stop(int level)`

- - ### Method Detail

    - #### init

          void init(Properties properties)
             throws Exception

      Throws:
        `Exception`

    - #### start

          void start(int level)
              throws Exception

      Throws:
        `Exception`

    - #### stop

          boolean stop(int level)
                throws Exception

      Throws:
        `Exception`

    - #### setMembershipListener

          void setMembershipListener(MembershipListener listener)

    - #### setMembershipService

          void setMembershipService(MembershipService service)

    - #### hasMembers

          boolean hasMembers()

    - #### getMember

          Member getMember(Member mbr)

    - #### getMembers

          Member[] getMembers()

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.